Skip to main content
`Ctrl`+`K`
scipy.interpolate.BSpline.

# antiderivative

BSpline.antiderivative(nu=1)

  Return a B-spline representing the antiderivative.

  Parameters:
    nu int, optional

      Antiderivative order. Default is 1.

  Returns:
    b `BSpline` object

      A new instance representing the antiderivative.

  See also

  `splder`, `splantider`

  Notes

  If antiderivative is computed and `self.extrapolate='periodic'`, it will be set to False for the returned instance. This is done because the antiderivative is no longer periodic and its correct evaluation outside of the initially given x interval is difficult.